Skip to main content

Supported Technologies

This page lists the technologies that InterSystems products support.

Supported Platforms

This release supports the listed server platforms and operating system releases on the indicated InterSystems products.

Operating System Patches and Service Packs

Because InterSystems relies on the operating system vendor to ensure compatibility, InterSystems does not certify its products for specific operating system patches or service packs.

In the rare event that a specific patch or service pack (SP) is required to run InterSystems products, the appropriate table indicates the explicit requirement.

If a vendor introduces new features or functionality in a base version to create a new offering, InterSystems does not do additional testing but relies on the vendor to assure the quality of the base version.

Server Platforms

Platform

Notes

IBM AIX® 7.2, 7.3 for POWER System-64 (POWER 8 and higher)

InterSystems IRIS supports OpenSSL 3.0 on AIX 7.2 and 7.3 via the aixopenssl30 kit. This kit has, as prerequisites, the latest Tech Level for either AIX 7.2 and 7.3.

InterSystems IRIS for AIX was compiled using the IBM XL C/C++ for AIX 16.1.x and 17.1.x compilers. If the system on which you are installing InterSystems IRIS does not have both of these versions of the compiler or runtime already installed, you must install them both. First install 16.1.x, then 17.1.x.

See https://www.ibm.com/support/pages/node/612497#171XOpens in a new tab for more information.

Microsoft Windows Server 2016, Server 2019, Server 2022, 10, 11 for x86-64  
Oracle Linux 8.2+, 9.0, 9.2 for x86–64

Unmodified kernel.

Red Hat Enterprise Linux 8.6, 8.8, 9.0, 9.2 for x86-64 or ARM64

To use Kerberos on the Red Hat platform, you must install the krb5-devel package in addition to the krb5-libs package. See the Red Hat Linux Platform Notes section of the “Preparing to Install InterSystems IRIS” chapter of the Installation Guide for detailed information on obtaining these components.

SUSE Linux Enterprise Server 15 SP3, SP4, SP5 for x86-64
Ubuntu 20.04, 22.04 LTS for x86-64 or ARM64

A default Ubuntu setting can result in semaphore deletion. See the Ubuntu Platform Notes section of the “Preparing to Install InterSystems IRIS” chapter of the Installation Guide for more information.

Container Platforms

Container images from InterSystems comply with the Open Container Initiative (OCI)Opens in a new tab specification and are built using the Docker Enterprise Edition engine, which fully supports the OCI standard and allows for the images to be certifiedOpens in a new tab and featured in the Docker Hub registry. InterSystems containers therefore are supported on any OCI compliant runtime engine on Linux-based operating systems, both on-premises and in public clouds.

InterSystems container images are built and tested using Ubuntu as their base operating system. These images are available for the CPU architectures shown below:

Image Operating System

CPU Architecture

Ubuntu 20.04, 22.04
  • Intel/AMD 64–bit

  • ARM 64–bit

* New for maintenance release 2022.1.1

Cloud Platforms

InterSystems IRIS can be successfully deployed on cloud platforms that meet both of the following criteria:

  • The operating system platform is in the supported Server Platform list.

  • The cloud platform provides support for their infrastructure.

Customers using mirroring on cloud virtual machines should note that the public clouds require IP addresses, as opposed to virtual IPs, for mirroring.

Development Platforms

In addition to the listed Server Platforms, the following platforms are supported for development work:

Platform

Notes

CentOS Stream 8 x86–64

Requires InterSystems IRIS Kits for Red Hat.

Note that as of the 2023.3 release, support for CentOS has been deprecated.

  • Apple macOS 11, 12, and 13 for x86-64

  • Apple macOS 12 and 13 for ARM

InterSystems IRIS requires several dependencies to run on this platform. See Installing Required Dependencies for more information.

Key Management Interoperability Protocol (KMIP) is not supported on macOS.

On the M1 platform, Shared Memory Connections (SHM) for Java are not supported.

Support for development platforms is subject to the following qualifications:

  • Development platforms are to be used for application development only; they are not supported for deployment of applications.

  • The results of comparative analysis will not be underwritten by InterSystems. No valid conclusions can be drawn from performance, sizing, or other measurements taken on supported development platforms versus other supported platforms.

  • InterSystems will reevaluate its continued support for these platforms with each major release of InterSystems IRIS.

Hardware Considerations

In most cases, this document focuses specifically on operating system versions, and only generally on the characteristics of the underlying hardware. This section is intended as a refinement of that approach, describing specific features of individual hardware offerings that InterSystems products recognize and use to their advantage.

Advanced Encryption Standard (AES)

When run on Intel 64-bit processors, beginning with the Intel® Xeon® Processor (Westmere), InterSystems IRIS makes direct use of hardware instruction(s) to perform AES encryption.

Supported File Systems

This release supports the following file systems on the specified platforms:

Platform Recommended File System Other Supported File Systems
Apple macOS for x86-64 HFS APFS
IBM AIX® for POWER System-64 JFS23  
Microsoft Windows for x86-64 NTFS  
Oracle Linux for x86-64 XFS  
Red Hat Enterprise Linux for x86-64 or ARM64 XFS ext31, ext41,2, NFS
SUSE Linux Enterprise for x86-64 XFS Btrfs, ext31, ext41,2, NFS
Ubuntu for x86-64 or ARM64 XFS Btrfs, ext31, ext41,2, NFS

1 The data=journal mount option for ext3/ext4 file systems is not supported.

2 When using Linux, InterSystems recommends using the ext4 file system for the journal/WIJ and the XFS file system for data files.

3 For optimum journaling performance, the cio mount option is recommended for JFS2 file systems.

Supported Web Servers

This release supports CSP technology on the following web servers for the indicated platforms. This does not necessarily mean that all InterSystems products run on these platforms, but rather that the InterSystems Web Gateway component does.

Web Server Platform
Apache 2.4 *
  • Apple macOS

  • IBM AIX® for POWER System-64 **

  • Oracle Linux

  • Red Hat Enterprise Linux

  • SUSE Linux Enterprise

  • Ubuntu

Microsoft IIS 7.0 and later
  • Microsoft Windows

Nginx (Stable)
  • Apple macOS

  • IBM AIX® for POWER System-64

  • Microsoft Windows

  • Red Hat Enterprise Linux

  • SUSE Linux Enterprise

  • Ubuntu

* InterSystems supports Apache on Microsoft Windows only for upgraded instances which still use an Apache Private Web ServerOpens in a new tab.

**Using Kerberos security and/or SSL for the Web Gateway on 64-bit UNIX® platforms requires 64-bit Apache.

Supported Web Browsers

InterSystems IRIS supports CSP on the web browsers listed in the following tables.

Browser Platforms

Newer versions of the browsers listed in the following table will be supported with the understanding that critical issues may be found that will have to be corrected in a major release of InterSystems IRIS. Those fixes will not be backported to earlier releases of InterSystems IRIS.

InterSystems also requires that browsers support the XML HTTP interface which limits support for some older browser versions.

Platform Supported Web Browsers
Windows Chrome, Edge, Firefox, Opera
Linux Firefox
Android Chrome
iOS Safari
macOS Chrome, Firefox, Opera, Safari
Portals

Support for the InterSystems IRIS Management Portal is limited to the browsers listed in the following table. Except where noted, this includes support for InterSystems IRIS® Business Intelligence functionality. New versions released by vendors are assumed to provide backward compatibility; they are supported as described in Supported Web Browsers and are tested as they become available.

Web Browser (Platform)

Version

Chrome (Windows, macOS) latest released
Edge (Windows)* latest released
Firefox (Windows, macOS, Linux) latest released

*At this time, InterSystems does not fully support InterSystems IRIS® Business Intelligence functionality on Microsoft Edge.

ODBC Support

InterSystems products support multithreaded ODBC on most platforms.

The InterSystems ODBC driver on UNIX®-based systems supports the following driver managers:

  • The iODBC driver manager (see http://www.iodbc.orgOpens in a new tab) — for use with the Unicode and 8-bit ODBC APIs; works with the select executable and the following drivers:

    libirisodbc35.so iODBC 3.5 driver
    libirisodbciw35.so iODBC 3.5 unicode driver
  • The unixODBC driver manager (see http://www.unixodbc.orgOpens in a new tab) — for use with the 8-bit ODBC API only; works with the selectu executable and the following driver:

    libirisodbcur6435.so unixODBC Real Mode built 3.5 driver

Node.js Support

This release supports Node.js clients on the platforms and operating system versions listed in the Supported Server Platforms table. For information about installation and configuration, see Native SDK for Node.js.

Platform Endianness

When restoring a backup or transferring a database, the target system must be the same Endianness (Big-endian or Little-endian) as the source system; for example, if a backup was created on a Big-endian system, it cannot be restored to a Little-endian system. For information, see “Using cvendian to Convert Between Big-endian and Little-endian Systems”.

The following table identifies the Endianness of the supported server platforms for this release:

Platform Endianness
Apple macOS for x86-64 Little-endian
IBM AIX® for POWER System-64 Big-endian
Microsoft Windows for x86-64 Little-endian
Oracle Linux for x86-64 Little-endian
Red Hat Enterprise Linux for x86-64 or ARM64 Little-endian
SUSE Linux Enterprise Server for x86-64 Little-endian
Ubuntu for x86–64 or ARM64 Little-endian

Supported SQL Gateway Databases

The InterSystems IRIS SQL Gateway supports access to external databases from InterSystems IRIS so long as:

  • The external database is supported by its manufacturer. For example, InterSystems IRIS can support a connection to Oracle 10g as long as Oracle 10g is still in Oracle's extended maintenance window.

  • The connecting driver is compliant with the appropriate protocol. InterSystems IRIS supports ODBC 3.0 through 3.7 as well as JDBC 4.0 through 4.3.

The SQL Gateway provides features for querying external databases using the InterSystems IRIS SQL dialect. InterSystems regularly tests these features against the latest versions of the following database systems:

  • IBM Db2

  • IBM Informix

  • Microsoft SQL Server

  • MySQL

  • Oracle

  • Sybase Adaptive Server Enterprise

Supported .NET Frameworks

InterSystems supports .NET on Windows, Linux, and macOS. Versions of the .NET Framework are supported only on Windows. All InterSystems assemblies for .NET are installed to the .NET GAC (Global Assembly Cache) when InterSystems IRIS is installed.

Note:

The InterSystems IRIS installation procedure does not install or upgrade any version of .NET or .NET Framework. Your client system must have a supported version of .NET or .NET Framework installed in order to use these assemblies.

There is a separate version of the IRISClient assembly (InterSystems.Data.IRISClient.dll) for each supported version of .NET and .NET Framework. These files are located in the following subdirectories of <iris-install-dir>\dev\dotnet (see “Installation Directory” in the Installation Guide for the location of <iris-install-dir> on your system):

  • .NET Framework 3.5: \dev\dotnet\bin\v3.5

  • .NET Framework 4.6.2: \dev\dotnet\bin\v4.6.2

  • .NET 5.0: \dev\dotnet\bin\net5.0

  • .NET 6.0: \dev\dotnet\bin\net6.0

The current default version is .NET 6.0.

Note:
Extra Requirements for XEP

If your application uses both .NET Framework and XEP (see Persisting .NET Objects with InterSystems XEP), you must also declare the InterSystems.Data.XEP.dll assembly.

There is a separate version of this file for each of the following .NET versions:

  • .NET Framework 3.5: \dev\dotnet\bin\v3.5

  • .NET Framework 4.6.2: \dev\dotnet\bin\v4.6.2

XEP does not require a separate assembly if your application uses .NET 5.0 or 6.0.

In some applications, the .NET Framework assemblies may be used to load unmanaged code libraries. Both 32-bit and 64-bit assemblies are provided for each supported version, which makes it possible to create gateway applications for 64-bit Windows that can load 32-bit libraries.

If you wish to use a version other than the default for your system, some extra configuration will be required to set the path to your desired language platform.

Note:

InterSystems IRIS .NET clients do not support Kerberos because the .NET framework does not include direct Kerberos support.

Supported Java Technologies

InterSystems Java products require a Java Development Kit (JDK) from Oracle (or a compatible JDK). This release supports the following JDKs:

Development Kits Versions
Java SE Development Kit (JDK) 8, 11
OpenJDK 8, 11

Please contact InterSystems if you would like to take advantage of InterSystems product license sharing when running Java on Windows Terminal Servers.

Other Supported Technologies

This release supports other technologies as specified in the following tables:

Supported Libraries Version
ICU 69.1
Xerces 3.2
Xalan 1.12*
OpenSSL Instance-specific; to determine the version in use by the instance, call $SYSTEM.Encryption.OpenSSLVersion()

* New at this release.

ODBC Driver Managers Version
unixODBC 2.3.4
iODBC 3.52.4

Other Supported Features

InterSystems products support the LDAP protocol, multithreaded callin, T-SQL programming extensions, the MQ Interface, and Embedded Python as indicated in the following table. (Supported operating system versions are those listed in the Supported Server Platforms table.)

Platform Supported Features Version of Python Supported for Embedded Python
Apple macOS for x86-64 LDAP, T-SQL, Embedded Python Python 3.9 (installed using homebrew)2
IBM AIX® for POWER System-64 LDAP, T-SQL, MQ Interface1 N/A
Microsoft Windows for x86-64 LDAP, Multithreaded Callin, T-SQL, MQ Interface1, Embedded Python Python 3.9 (included in InterSystems IRIS installer)2
Oracle Linux for x86-64 LDAP, Multithreaded Callin, T-SQL, MQ Interface1, Embedded Python Python 3.62
Red Hat Enterprise Linux for x86-64 or ARM64 LDAP, Multithreaded Callin, T-SQL, MQ Interface1, Embedded Python

Red Hat 8: Python 3.62

Red Hat 9: Python 3.9

SUSE Linux Enterprise for x86-64 LDAP, Multithreaded Callin, T-SQL, MQ Interface1, Embedded Python Python 3.62
Ubuntu for x86–64 or ARM64 LDAP, Multithreaded Callin, T-SQL, MQ Interface1, Embedded Python

Ubuntu 20.04: Python 3.82;

Ubuntu 22.04: Python 3.102

1 The minimum version supported by InterSystems IRIS is WebSphere MQ V7.0.

2 For more information, see the Prerequisites section in Using Embedded Python.

FeedbackOpens in a new tab